Subject: proper way to reserve a chunk of memory at the top of the kernel?

From: "Chris Friesen" <[email-masked]>
Date: Tue, 14 Jul 2009 15:18:39 -0600

I have a powerpc board with 512BM of memory.  The BIOS has a chunk of
memory at the top end of physical memory which it does not zero out over
a reboot.

What's the proper way to tell linux that this chunk of physical memory
should be ignored (so that we can access it later without worrying that
Linux will try to allocate it)?  Should I be calling

lmb_reserve(lmb_end_of_DRAM() - size, size);

in early_reserve_mem() or is there a better mechanism?

For comparison, in an older kernel this was done in set_phys_avail(), by
calling mem_pieces_remove(&phys_avail, total_lowmem - size, size, 1);

Thanks,

Chris